package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Tax {

    private String taxcod;

    private String buscod;

    private String cuscod;

    private String custyp;

    private BigDecimal amtmin = BigDecimal.ZERO;

    private BigDecimal amtmax = BigDecimal.ZERO;

    private BigDecimal taxrat = BigDecimal.ZERO;

    private String field1;

    private String field2;

    private String field3;
}
