package com.brilliance.isc.common.rmbbop.entity;

import com.brilliance.isc.common.rmbbop.common.IAds;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:ten:人民币跨境信贷融资业务信息-委托贷款信息
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ten extends AbstractCommonVo {

    //Internal Unique ID
    private String inr = NULLSTR;

    //Version
    private String ver = NULLSTR;

    //objtyp
    private String objtyp = NULLSTR;

    //objinr
    private String objinr = NULLSTR;

    //人行报送状态
    private String sta = NULLSTR;

    //A委托方所在国家（地区）代码
    private String consigncountrycode = NULLSTR;

    //A委托方机构代码
    private String consignorgcode = NULLSTR;

    //A委托方机构名称
    private String consignorgname = NULLSTR;

    //明细主键
    private int seqno;

    //明细操作类型
    private String listopertype = NULLSTR;

    //数据状态
    private String csta = NULLSTR;

    //确认
    private String acp;


}