package com.brilliance.isc.vo.funds;

import com.brilliance.isc.bo.SptVo;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.mda.runtime.mda.impl.StreamImpl;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * @program: isc-core
 * @ClassName: CrtmodVo
 * @description: 清算crtmod
 * @author: huangshunlin
 * @create: 2024-10-17 18:24
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class CrtmodVo extends AbstractCommonVo {
    //Parameter Stream
    private IStream parstm = new StreamImpl();
    //Inr of SMH
    private String smhinr = NULLSTR;

//    private Sysobj crdobj;

//    private Crdlod crdlod;

    private SptVo crtspt;

    //    private Crtdoc crtdoc;
    @Override
    public void reset() {

        if (crtspt == null) {
            crtspt = new SptVo();
        }
    }
}
