package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import lombok.Data;

@Data
public class ActManageVo extends BaseEntity {

    //列表展示字段
    /**
     * 币种
     */
    private String cur;

    /**
     * 类型
     */
    private String typ;

    /**
     * 账号
     */
    private String extkey;

    /**
     * 所属客户名称
     */
    private String ptynam;

    /**
     * 所属客户编号
     */
    private String ptyextkey;

    /**
     * 所属客户号码
     */
    private String holacc;

    /**
     * 客户类型
     */
    private String holptytyp;

    //详情
    /**
     * 币种说明
     */
    private String curnam;

    /**
     * 核心业务代号
     */
    private String acccore;

    /**
     * 科目类型
     */
    private String trmtyp;

    /**
     * Account Type
     */
    private String acctyp;

    /**
     * 账户性质
     */
    private String actpro;

    /**
     * 账户性质描述
     */
    private String actprodesc;

    /**
     * 借记贷记
     */
    private String dirflg;

    /**
     * 类型描述
     */
    private String typnam;

    /**
     * 账户名称
     */
    private String nam;

    /**
     * 主账户
     */
    private String zmqacc;

    /**
     * 科目名称
     */
    private String trmnam;

    /**
     * Account Name
     */
    private String actnam;

    /**
     * 账户优先级
     */
    private String pri;

    /**
     * 删除标记
     */
    private String delflg;

    /**
     * ptyinr
     */
    private String ptyinr;

    /**
     * inr
     */
    private String inr;

    /**
     * 消息提示级别
     */
    private String inflev;

    /**
     * 消息提示内容
     */
    private String inftxt;

    private String stpinflev;

    private String stpinftxt;

    /**
     * 客户账户
     */
    private String khzh;

    /**
     * 账号名称
     */
    private String accnam;

    /**
     * 账户余额
     */
    private String yue;

    /**
     * 可用金额
     */
    private String kyje;

    /**
     * 记录状态
     */
    private String jlzt;

    /**
     * 营业机构号
     */
    private String yyjgh;

    /**
     * 账务机构号
     */
    private String zwjgh;

    /**
     * 偿付账户标志
     */
    private String rmbflg;

    /**
     * 头寸账户标志
     */
    private String cvrflg;

    /**
     * 客户列表查询页
     */
    private String startnum;

    /**
     * 客户列表查询数
     */
    private String selectnum;

    /**
     * 删除标志名称
     */
    private String delflgnam;

    /**
     * 能否编辑标志
     */
    private String canModify;

    // 科目代码
    private String trmtypShow;

    // 科目名称
    private String trmnamShow;
}
