package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class CpacbsVo extends AbstractCommonVo {

    private CbbVo max;

    private CbbVo nom1;

    @Override
    public void reset() {
        if (max == null) {
            max = new CbbVo();
        }
        if (nom1 == null) {
            nom1 = new CbbVo();
        }
    }
}
