package com.brilliance.isc.vo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class JstpVo extends AbstractCommonVo {
    //Panel Status
    private String pansta = NULLSTR;
    //衍生品后续交易额度处理标志
    private String limflg = NULLSTR;
    //占用/释放额度金额
    private BigDecimal limamt = Decimals.ZERO_SCALE3;
    //提示
    private String warning = NULLSTR;
    //金融机构类型
    private String akkcom = NULLSTR;
}
