package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * Author: tanglei
 * Date: 2023-08-24 10:39
 */
@Data
@JsonIgnoreProperties
public class TcrManageVo extends AbstractCommonVo implements Serializable {
    //Internal Unique ID
    private String inr = NULLSTR;


    /**
     * Initial Entity Code
     */
    private String ownextkey = NULLSTR;

    /**
     * 业务发生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date reldat = NULLDATE;

    private TcrVo tcrVo;
}
