package com.brilliance.isc.esb.model.ccrm;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

/**
 * 外汇展业风险等级同步响应对象
 */
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class ResOC52 {

    /**
     * 成功标志[0,1]
     * 成功为1
     * 失败为0
     */
    public String RESULTFLAG;

    /**
     * 同步成功时间[0,20]
     */
    public String SUCCESS_TIME;

    /**
     * 结果信息[0,100]
     * 如果失败时，具体为失败原因
     */
    public String MSG;

    /**
     * 备注信息6[0,100]
     */
    public String ATTRIBUTE6;

    /**
     * 备注信息7[0,100]
     */
    public String ATTRIBUTE7;

    /**
     * 备注信息8[0,100]
     */
    public String ATTRIBUTE8;

    /**
     * 备注信息9[0,100]
     */
    public String ATTRIBUTE9;

    /**
     * 备注信息10[0,100]
     */
    public String ATTRIBUTE10;


}
