package com.brilliance.isc.esb.model.cfca;

/**
 * PF71 安心签盖章请求对象(原FT71)
 */
public class ReqFT71 {


    /**
     * 交易时间
     */
    public String TXTIME;

    /**
     * 合同编号
     */
    public String CONTRACTNO;

    /**
     * 关键字
     */
    public String KEYWORD;

    /**
     * X轴偏移坐标
     */
    public String OFFSETCOORDX;

    /**
     * Y轴偏移坐标
     */
    public String OFFSETCOORDY;

    /**
     * 签章图片宽度
     */
    public String IMAGEWIDTH;

    /**
     * 签章图片高度
     */
    public String IMAGEHEIGHT;

    /**
     * 用户ID
     */
    public String USERID;

    /**
     * 授权时间
     */
    public String AUTHORIZATIONTIME;

    /**
     * 授权地点
     */
    public String LOCATION;

    /**
     * 项目编号
     */
    public String PROJECTCODE;

    /**
     * 是否检查项目编号
     */
    public String ISCHECKPROJECTCODE;

    /**
     * 签名图片
     */
    public String IMAGEDATA;

    /**
     * 印章ID
     */
    public String SEALID;

    /**
     * 签章颜色
     */
    public String SEALCOLOR;

    /**
     * 交易码
     */
    public String JIAOYM;


    public ReqFT71() {
    }

    public ReqFT71(String TXTIME, String CONTRACTNO, String KEYWORD, String OFFSETCOORDX, String OFFSETCOORDY, String IMAGEWIDTH, String IMAGEHEIGHT, String USERID, String AUTHORIZATIONTIME, String LOCATION, String PROJECTCODE, String ISCHECKPROJECTCODE, String IMAGEDATA, String SEALID, String SEALCOLOR, String JIAOYM) {
        this.TXTIME = TXTIME;
        this.CONTRACTNO = CONTRACTNO;
        this.KEYWORD = KEYWORD;
        this.OFFSETCOORDX = OFFSETCOORDX;
        this.OFFSETCOORDY = OFFSETCOORDY;
        this.IMAGEWIDTH = IMAGEWIDTH;
        this.IMAGEHEIGHT = IMAGEHEIGHT;
        this.USERID = USERID;
        this.AUTHORIZATIONTIME = AUTHORIZATIONTIME;
        this.LOCATION = LOCATION;
        this.PROJECTCODE = PROJECTCODE;
        this.ISCHECKPROJECTCODE = ISCHECKPROJECTCODE;
        this.IMAGEDATA = IMAGEDATA;
        this.SEALID = SEALID;
        this.SEALCOLOR = SEALCOLOR;
        this.JIAOYM = JIAOYM;
    }
}
