package com.brilliance.isc.esb.model.cpm;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * CPC3 定价系统提供审批代码查询交易
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class ReqNewCpc3 {

    /**
     * 系统来源[0,10]
     */
    public String systemSource;
    /**
     * 渠道来源[0,3]
     */
    public String chnlno = "270";
    /**
     * 定价审批代码[0,20]
     */
    public String approvalCode;
    /**
     * 请求时间[0,10]
     */
    public String requestDate;

}
