package com.brilliance.isc.esb.model.ebmp;

/**
 * GF31 F通道来报请求对象
 */
public class ReqGF31 {

    /**
     * 信封报文标识号  [0,70]
     */
    public String XFBBSH;

    /**
     * 报文类型  [0,70]
     */
    public String BAOWLX;

    /**
     * 报文分类  [0,1]
     */
    public String BAOWFL;

    /**
     * 报文种类  [0,1]
     */
    public String BAOWZL;

    /**
     * 传输标志  [0,1]
     */
    public String BWCSFS;

    /**
     * 信息内容  [0,61440]
     */
    public String BAOWNR;

    /**
     * 文件名  [0,50]
     */
    public String FILENM;

    /**
     * 发起机构行号  [0,70]
     */
    public String FQJGHH;

    /**
     * 接收机构行号  [0,70]
     */
    public String JSJGHH;

    /**
     * 报文发起日期  [0,20]
     */
    public String BWFQRQ;

    /**
     * MT报文流水号  [0,20]
     */
    public String MTBWLS;

    /**
     * 后台系统处理流水号  [0,20]
     */
    public String HTXTLS;

    /**
     * 备用字段1 [0,8]
     */
    public String BEYZD1;

    /**
     * 备用字段2  [0,16]
     */
    public String BEYZD2;

    /**
     * 备用字段3  [0,32]
     */
    public String BEYZD3;

    /**
     * 备用字段4  [0,64]
     */
    public String BEYZD4;

    /**
     * 备用字段5 [0,128]
     */
    public String BEYZD5;

    public ReqGF31() {
    }

    public ReqGF31(String XFBBSH, String BAOWLX, String BAOWFL, String BAOWZL, String BWCSFS, String BAOWNR, String FILENM, String FQJGHH, String JSJGHH, String BWFQRQ, String MTBWLS, String HTXTLS, String BEYZD1, String BEYZD2, String BEYZD3, String BEYZD4, String BEYZD5) {
        this.XFBBSH = XFBBSH;
        this.BAOWLX = BAOWLX;
        this.BAOWFL = BAOWFL;
        this.BAOWZL = BAOWZL;
        this.BWCSFS = BWCSFS;
        this.BAOWNR = BAOWNR;
        this.FILENM = FILENM;
        this.FQJGHH = FQJGHH;
        this.JSJGHH = JSJGHH;
        this.BWFQRQ = BWFQRQ;
        this.MTBWLS = MTBWLS;
        this.HTXTLS = HTXTLS;
        this.BEYZD1 = BEYZD1;
        this.BEYZD2 = BEYZD2;
        this.BEYZD3 = BEYZD3;
        this.BEYZD4 = BEYZD4;
        this.BEYZD5 = BEYZD5;
    }
}
