package com.brilliance.isc.esb.model.ecif.cloud;

import com.alibaba.fastjson2.annotation.JSONField;
import com.brilliance.isc.esb.model.AbsResNew;
import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * @author yangxd
 * @version 1.0
 * @description: Ecif错误码承接
 * @data 2024/1/9 19:30
 */
public class ResEcifCloud extends AbsResNew {

    /**
     * 错误码
     */
    public String ERROR_CODE = "ERR000";

    /**
     * 响应码
     */
    public String RESPONSE_CODE;

    /**
     * 错误信息
     */
    public String RESPONSE_CONTENT;

    @JsonIgnore
    @JSONField(
            serialize = false
    )
    public String getErrorCode() {
        return this.ERROR_CODE;
    }

    @JsonIgnore
    @JSONField(
            serialize = false
    )
    public String getErrorMsg() {
        return this.RESPONSE_CONTENT;
    }

}
