package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.List;

/**
 * 615377597788 对内福费廷直通式放款组合交易响应对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerCommpose6153Res {

    /**
     * 打印对象
     */
    public InnerResOhezhh Ohezhh;
    /**
     * 6153报文体
     */
    public InnerRes6153 o6153;
    /**
     * 7759报文体
     */
    public InnerRes7759 o7759;
    /**
     * 5006报文体
     */
    public List<InnerRes5006> o5006;

    public InnerCommpose6153Res() {
    }

    public InnerCommpose6153Res(InnerResOhezhh ohezhh, InnerRes6153 o6153, InnerRes7759 o7759, List<InnerRes5006> o5006) {
        Ohezhh = ohezhh;
        this.o6153 = o6153;
        this.o7759 = o7759;
        this.o5006 = o5006;
    }
}
