package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.LinkedList;
import java.util.List;

/**
 * 账号查询响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes0208 {
    public InnerRes0208() {
    }

    public InnerRes0208(List<Item0208> lst0208, String jiaoym, String chxjlh, String kehhao, String kehzwm) {
        this.lst0208 = lst0208;
        this.jiaoym = jiaoym;
        this.chxjlh = chxjlh;
        this.kehhao = kehhao;
        this.kehzwm = kehzwm;
    }

        public List<Item0208> lst0208 = new LinkedList<>();

    /**
     * 交易对象名
     */
    public String jiaoym;

    /**
     * 查询记录号
     */
    public String chxjlh;

    /**
     * 客户号
     */
    public String kehhao;

    /**
     * 客户中文名
     */
    public String kehzwm;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class Item0208 {
        /**
         * 帐号
         */
        public String zhangh;
        /**
         * 帐户中文名
         */
        public String zhuzwm;
        /**
         * 客户帐号类型
         */
        public String khzhlx;
        /**
         * 客户帐号
         */
        public String kehuzh;
        /**
         * 帐户余额
         */
        public String zhhuye;
        /**
         * 可用金额
         */
        public String kyngje;
        /**
         * 记录状态
         */
        public String jiluzt;
        /**
         * 营业机构号
         */
        public String yngyjg;
        /**
         * 帐务机构号
         */
        public String zhngjg;
    }
}
