package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 核心系统提供提供境内外币发报交易【组合交易】
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes8151 {
    public InnerRes8151() {
    }

    public InnerRes8151(String objectname, String baowbh, String guiyls, String jioyrq, String huobdh, String jioyje, String baoblj) {
        this.objectname = objectname;
        this.baowbh = baowbh;
        this.guiyls = guiyls;
        this.jioyrq = jioyrq;
        this.huobdh = huobdh;
        this.jioyje = jioyje;
        this.baoblj = baoblj;
    }

    public String objectname;
    /**
     * 报文编号
     */
    public String baowbh;
    /**
     * 柜员流水
     */
    public String guiyls;
    /**
     * 交易日期
     */
    public String jioyrq;
    /**
     * 货币代号
     */
    public String huobdh;
    /**
     * 交易金额
     */
    public String jioyje;
    /**
     * 报表路径
     */
    public String baoblj;

}
