package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * ZM01 关税保函发送交易
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerResZM01 {
    /**
     * 报文名
     */
    public String objectname;

    /**
     * 前台日期
     */
    public String resp01;

    /**
     * 前台流水号
     */
    public String resp02;

    /**
     * 保函号
     */
    public String resp03;

    /**
     * 返回码
     */
    public String resp04;

    /**
     * 错误原因
     */
    public String resp05;

    public InnerResZM01() {
    }

    public InnerResZM01(String objectname, String resp01, String resp02, String resp03, String resp04, String resp05) {
        this.objectname = objectname;
        this.resp01 = resp01;
        this.resp02 = resp02;
        this.resp03 = resp03;
        this.resp04 = resp04;
        this.resp05 = resp05;
    }
}