package com.brilliance.isc.common.api.settle.vo;

import com.brilliance.isc.common.setfeg.fee.Wrksum;
import com.brilliance.isc.common.setglg.vo.SetglgVo;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.vo.model.Fale01Vo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "试算账务返回信息", description = "试算账务返回信息")
public class SettleDetailResponseVo extends AbstractCommonVo {

    @ApiModelProperty(value = "账务信息", name = "setglg", required = true)
    private SetglgVo setglg;

    @ApiModelProperty(value = "结算信息", name = "setglg", required = true)
    private Map<String, Wrksum> wrksumMap;

    //E01报送信息
    private List<Fale01Vo> fale01List;
}
