package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bnn {
    // 主键
    private String inr = NULLSTR;

    // 间接参与机构号
    private String kjjchh = NULLSTR;

    // 所属直接参与机构号
    private String kjzchh = NULLSTR;

    //生效日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date shexrq = NULLDATE;

    //最近更新类型
    private String zjgxlx = NULLSTR;

    //维护类型
    private char weihlx ;

    //维护柜员
    private String weihgy;

    //维护日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date weihrq = NULLDATE;

    //时间戳
    private BigDecimal shjnch = BigDecimal.ZERO;

    //记录状态
    private char jiluzt;
}
