package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Det extends AbstractCommonVo {

    //Internal Unique ID of Export L/C
    private String inr = NULLSTR;

    //Additional Conditions
    private String adlcnd = NULLSTR;

    //Deferred Payment Details
    private String defdet = NULLSTR;

    //Drafts at
    private String dftat = NULLSTR;

    //Additional Details to Code for Charges CHATO
    private String feetxt = NULLSTR;

    //Instructions to Paying/Accepting/Negotiating Bank
    private String insbnk = NULLSTR;

    //Documents Required
    private String lcrdoc = NULLSTR;

    //Description of Goods
    private String lcrgod = NULLSTR;

    //Mixed Payment Details
    private String mixdet = NULLSTR;

    //Presentation Period
    private String preper = NULLSTR;

    //Shipment Period
    private String shpper = NULLSTR;

    //Sender to Receiver Info
    private String strinf = NULLSTR;

    //Version Counter
    private String ver = NULLSTR;

    //Additional  Conditions History
    private String adlcndame = NULLSTR;

    //Description of Goods History
    private String lcrgodame = NULLSTR;

    //Documents Required History
    private String lcrdocame = NULLSTR;

    //Narrative History
    private String nartxtame = NULLSTR;

    //Additional Amount Covered
    private String addamtcov = NULLSTR;

    //List of Modified Fields in DEDGRP
    private String fldmodblk = NULLSTR;

    //Notes to Beneficiary
    private String revnotes = NULLSTR;

    //Revolving Clause
    private String revcls = NULLSTR;

    //Available in
    private String avbwthtxt = NULLSTR;

    //Instruction to Paying/Accepting/Negotiating Bank History
    private String insbnkame = NULLSTR;

    //Content of TAG 72
    private String contag72 = NULLSTR;

    //Content of TAG79
    private String contag79 = NULLSTR;

    //拒绝修改理由
    private String rejamersn = NULLSTR;

    //拒绝修改理由（历史）
    private String rejamersnhis = NULLSTR;

    //闭卷原因
    private String canrsn = NULLSTR;

    //闭卷原因（历史）
    private String canrsnhis = NULLSTR;

    //拒绝通知理由
    private String rejadvrsn = NULLSTR;

    //拒绝通知理由（历史）
    private String rejadvrsnhis = NULLSTR;

    //声明
    private String stamet = NULLSTR;
}
