package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:trntxt:
*/

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Trntxt{
        //INR
        private String inr = NULLSTR;

        //TRNINR
        private String trninr = NULLSTR;

        //Timestamp of Entry of Transaction
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date inidattim = NULLDATE;

        //RW02返回结果RtnText
        private String rw02txt = NULLSTR;

        //RW02客户名称
        private String csname = NULLSTR;

        //RW02组织机构代码
        private String certid = NULLSTR;

        //RW02匹配结果
        private String rmatch = NULLSTR;

        //RW02名单名称
        private String ltname = NULLSTR;

        //RW02名单调入时�'
        private String atdate=  NULLSTR;

        //RW02政策例外调入时�'
        private String policy = NULLSTR;

        //RW02问题客户调入时�'
        private String probcs = NULLSTR;

        //RW02备用字段信息
        private String remark = NULLSTR;
}