package com.brilliance.isc.bo.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * BA公共页面
 */

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bapp{
    private static Logger log = LoggerFactory.getLogger(Bapp.class);

//    //被担保人英文名称
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> guednamen = new FieldConstantHolder<>();
//    //被担保人中文名称
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> guedname = new FieldConstantHolder<>();
//    //担保申请人英文名称
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> guappnamen = new FieldConstantHolder<>();
//    //担保申请人中文名称
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> guappname = new FieldConstantHolder<>();
//    //受益人英文名称
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> benamen = new FieldConstantHolder<>();
//    //受益人中文名称
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> bename = new FieldConstantHolder<>();
//    //核准文件号
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> appdocuno = new FieldConstantHolder<>();
    //确认
    private  String acp = NULLSTR;
    //受益人国别/地区
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> bencountrycode = new FieldConstantHolder<>();
//    //被担保人国别/地区代码
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> guedcouncode = new FieldConstantHolder<>();
    //BENCODE WARNING
    private  String bencodwarn = NULLSTR;
    //GUEDCODE WARNING
    private  String guedcodwarn = NULLSTR;
    //发行/上市国家与地区
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> isscoucod = new FieldConstantHolder<>();
//    //反担保人国别/地区代码
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> cgcouncod = new FieldConstantHolder<>();
    //境外?'接投资
    private  String founds1 = NULLSTR;
    //偿还境外债务
    private  String founds2 = NULLSTR;
    //补充营运或流动性资金
    private  String founds3 = NULLSTR;
    //其他境外使用
    private  String founds4 = NULLSTR;
    //以?'接投资形式回流
    private  String founds5 = NULLSTR;
    //以外债形式回流
    private  String founds6 = NULLSTR;
    //以?'?易形式回流
    private  String founds7 = NULLSTR;
    //以其他形式回流
    private  String founds8 = NULLSTR;
    //被担保人境内母公司中文名称
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> guenam = new FieldConstantHolder<>();
//    //被担保人境内母公司英文名称
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> guenamen = new FieldConstantHolder<>();
//    //反担保人中文名称
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> cgname = new FieldConstantHolder<>();
//    //反担保人英文名称
//    @Module(getter = false, setter = false)
//    private transient FieldHolder<String> cgnamen = new FieldConstantHolder<>();

}

