package com.brilliance.isc.vo;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.common.vo.CommonResult;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InvRequestVo extends CommonResult {
    private String seaownref; //业务编号
    private String subownref;//子业务编号
    private String pntref;//信用证编号
    private String opndatfrom;//开始时间
    private String opndatto; //截止时间
    private String invoicecode; //发票代码
    private String invoicenumber;//发票号码
    private String yewulx;//业务类型
    private String monstatus; //发票监控状态
    private String hantyp; //处理状态
    private String branch;//机构号
    private String bchinr;//机构inr
    private List<Bch> bchLst;//机构列表
    private String seqnum;//批次号
    private List<String> seqNumLst;//发票列表
    /**
     * 排序字段
     */
    private String column;

    /**
     * 正序倒序
     */
    private String order;
}
