package com.brilliance.isc.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class TransOrderVo {
    private String kfr = NULLSTR; //付款人
    private String fkzh = NULLSTR;//付款账号
    private String fkhnam = NULLSTR; //付款行行名称
    private String fkhnum = NULLSTR; //付款行行号
    private String qxr = NULLSTR; //起息日
    private String skr = NULLSTR; //收款人
    private String skzh = NULLSTR; //收款人账号
    private String skhnam = NULLSTR; //收款行行名
    private String skhnum = NULLSTR; //收款行行号
    private String setrmk = NULLSTR; //备注

    private Set<String> modifySet = new HashSet<>();
    public boolean isModified(String key){
        return modifySet.contains(key);
    }
}