package com.brilliance.isc.vo.automatic;

import com.brilliance.isc.common.vo.BaseRequestPageVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "自动化管理列表分页查询对象")
@JsonIgnoreProperties(ignoreUnknown = true)
public class AutoflowParamVo extends BaseRequestPageVo {

    @ApiModelProperty(value = "业务编号")
    private String ownref;

    @ApiModelProperty(value = "创建时间开始")
    private String inidatfro;

    @ApiModelProperty(value = "创建时间结束")
    private String inidattil;

    @ApiModelProperty(value = "经办柜员")
    private String usrcon;

    @ApiModelProperty("分配柜员")
    private String usr;

    @ApiModelProperty("登录柜员")
    private String userId;

    @ApiModelProperty("当前页码")
    private int pageNo;

    @ApiModelProperty("当前页码")
    private int pageNum;

    @ApiModelProperty("每页显示条数")
    private int pageSize;

    @ApiModelProperty("自动化任务状态")
    private String sta;

    @ApiModelProperty("自动化任务状态列表")
    private List<String> staLs;

    @ApiModelProperty(value = "业务机构")
    private String bchcon;

    private String orgBranch;

    private String today;

    @ApiModelProperty(value = "自动化任务inr")
    private String inr;

    @ApiModelProperty(value = "queinr")
    private String queinr;
}
