package com.brilliance.isc.vo.collection;

import com.brilliance.isc.common.vo.CommonResult;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class InfejsQueryVo extends CommonResult {
    //STATUS
    private String sta;
    //机构表inr
    private String bchkeyinr;
    //交易日期
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date begdat;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date enddat;
    private String usrextkey;

    private List<String> inrs;
    //tupush方法是否校验PDF文件存在
    private boolean checkPdf;

}
