package com.brilliance.isc.vo.component.trn;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
public class TrnrelResponseVo {
    private String relflg = NULLSTR;

    private String inr = NULLSTR;

    private String relres = NULLSTR;

    private String relres0 = NULLSTR;

    private String relres1 = NULLSTR;

    //RELEASE SERVER SUB BRANCH
    private String relres2 = NULLSTR;

    private String relreq0 = NULLSTR;

    //RELEASE REQUIRE BRANCH
    private String relreq1 = NULLSTR;

    //RELEASE REQUIRE SUB BRANCH
    private String relreq2 = NULLSTR;

    private String relreq = NULLSTR;

    private String inifrm = NULLSTR;

    private String ownref = NULLSTR;

    private String reloricur = NULLSTR;

    private  BigDecimal reloriamt  = Decimals.ZERO_SCALE2;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date inidattim = NULLDATE;

    private String iniusr = NULLSTR;

    private String addtxt = NULLSTR;

    private String bchname = NULLSTR;

    private String nam = NULLSTR;

}
