package com.brilliance.isc.esb.model.ccrm;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

/**
 * 外汇展业风险等级认定结果查询请求对象
 */
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class ReqOC51 {

    /**
     * 客户号[0,50]
     */
    public String CUST_NO;

    /**
     * 备注信息1[0,30]
     */
    public String ATTRIBUTE1;

    /**
     * 备注信息2[0,30]
     */
    public String ATTRIBUTE2;

    /**
     * 备注信息3[0,60]
     */
    public String ATTRIBUTE3;

    /**
     * 备注信息4[0,60]
     */
    public String ATTRIBUTE4;

    /**
     * 备注信息5[0,256]
     */
    public String ATTRIBUTE5;

}
