package com.brilliance.isc.esb.model.clm;


import com.brilliance.isc.esb.model.AbsReqNew;
import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReqCL41 extends AbsReqNew {

    /**
     * 客户ECIF号[0,40]
     */
    public String ECIFNO;
    /**
     * 客户名称[0,100]
     */
    public String KEHUMC;
    /**
     * 业务品种[0,40]
     */
    public String YWPZHO;
    /**
     * 国结交易编码[0,10]
     */
    public String GJJYBM;
    /**
     * 业务场景[0,10]
     */
    public String YEWUCJ;
    /**
     * 业务编号[0,40]
     */
    public String YEWUNO;
    /**
     * 业务币种[0,40]
     */
    public String BIZHON;
    /**
     * 业务余额[0,24]
     */
    public String YEWUYE;
    /**
     * 保证金余额[0,24]
     */
    public String BZJYUE;
    /**
     * 试算类型[0,10]
     */
    public String SHISLX;

    public ReqCL41() {
    }

    public ReqCL41(String ECIFNO, String KEHUMC, String YWPZHO, String GJJYBM, String YEWUCJ, String YEWUNO, String BIZHON, String YEWUYE, String BZJYUE, String SHISLX) {
        this.ECIFNO = ECIFNO;
        this.KEHUMC = KEHUMC;
        this.YWPZHO = YWPZHO;
        this.GJJYBM = GJJYBM;
        this.YEWUCJ = YEWUCJ;
        this.YEWUNO = YEWUNO;
        this.BIZHON = BIZHON;
        this.YEWUYE = YEWUYE;
        this.BZJYUE = BZJYUE;
        this.SHISLX = SHISLX;
    }
}
