package com.brilliance.isc.esb.model.clm;


import java.util.ArrayList;
import java.util.List;

public class ResCL40 extends AbsResCL {

    /**
     * 后台流水号[0,40]
     */
    public String EDLSXH;
    /**
     * 客户ECIF号[0,40]
     */
    public String ECIFNO;
    /**
     * 客户名称[0,100]
     */
    public String KEHUMC;
    /**
     * 交易结果[0,1]
     */
    public String JIAYJG;

    public List<ItemFCL403> FCL403 = new ArrayList<>();

    public List<ItemFCL404> FCL404 = new ArrayList<>();

    public List<ItemFCL405> FCL405 = new ArrayList<>();

    public List<ItemFCL406> FCL406 = new ArrayList<>();

    public static class ItemFCL406{

        /**
         * 占用同业ECIF客户号
         */
        public String TYKHBH;
        /**
         * 占用同业SWFIT号
         */
        public String TYSWIT;
        /**
         * 占用同业客户名称
         */
        public String TYKHMC;
        /**
         * 占用额度类型
         */
        public String TYREDLX;
        /**
         * 占用额度编号
         */
        public String TYEDBH;
        /**
         * 占用同业额度明细编号
         */
        public String TYMXBH;
        /**
         * 占用额度品种
         */
        public String TYEDCP;
        /**
         * 额度币种
         */
        public String TYEDBZ;
        /**
         * 授信额度
         */
        public String TYSXED;
        /**
         * 已用额度
         */
        public String TYYYED;
        /**
         * 可用额度
         */
        public String TYKYED;
        /**
         * 拟占用额度
         */
        public String TYZYED;
        /**
         * 敞口额度
         */
        public String TYCKED;
        /**
         * 已用敞口
         */
        public String TYYYCK;
        /**
         * 可用敞口
         */
        public String TYKYCK;
        /**
         * 拟占用敞口
         */
        public String TYZYCK;
        /**
         * 占用同业失败原因
         */
        public String TYSBYY;
    }

    public static class ItemFCL405{

        /**
         * 占用业务编号
         */
        public String ZYYWBH;
        /**
         * 占用额度类型
         */
        public String EDLEIX;
        /**
         * 占用额度编号
         */
        public String EDBHAO;
        /**
         * 占用额度明细编号
         */
        public String EDMXBH;
        /**
         * 占用额度品种
         */
        public String EDCPDM;
        /**
         * 额度币种
         */
        public String EDCPBZ;
        /**
         * 授信额度
         */
        public String SHXEDU;
        /**
         * 已用额度
         */
        public String YIYEDU;
        /**
         * 可用额度
         */
        public String KEYEDU;
        /**
         * 拟占用额度
         */
        public String NZYEDU;
        /**
         * 敞口额度
         */
        public String CHKEDU;
        /**
         * 已用敞口
         */
        public String CKYYED;
        /**
         * 可用敞口
         */
        public String CKKYED;
        /**
         * 拟占用敞口
         */
        public String CKZYED;
        /**
         * 表外规模上限当前值
         */
        public String BWSXED;
        /**
         * 表外规模上限已用值
         */
        public String BWSXYY;
        /**
         * 表外规模上限可用值
         */
        public String BWSXKY;
        /**
         * 表外规模上限拟占用值
         */
        public String BWSXZY;
        /**
         * 占用失败原因
         */
        public String ZYSBYY;

    }

    public static class ItemFCL403{

        /**
         * 业务场景
         */
        public String YEWUCJ;
        /**
         * 恢复业务品种
         */
        public String HFYWCP;
        /**
         * 恢复业务类型
         */
        public String HFFYWLX;
        /**
         * 恢复业务编号
         */
        public String HFYWBH;
        /**
         * 恢复业务币种
         */
        public String HFYWBZ;
        /**
         * 恢复业务余额
         */
        public String HFYWYE;
        /**
         * 最新保证金余额
         */
        public String XBZJYE;
        /**
         * 恢复额度类型
         */
        public String HFEDLX;
        /**
         * 恢复额度编号
         */
        public String HFEDBH;
        /**
         * 恢复明细额度编号
         */
        public String HFMXBH;
        /**
         * 恢复额度品种
         */
        public String HFEDPZ;
        /**
         * 拟恢复金额
         */
        public String HFJINE;
        /**
         * 恢复失败原因
         */
        public String HFSBYY;
    }

    public static class ItemFCL404{

        /**
         * 恢复同业ECIF客户号
         */
        public String HTKHBH;
        /**
         * 恢复同业SWFIT号
         */
        public String HTSWFT;
        /**
         * 恢复同业客户名称
         */
        public String HTKHMC;
        /**
         * 恢复同业额度编号
         */
        public String HTEDBH;
        /**
         * 恢复同业明细额度编号
         */
        public String HTMXBH;
        /**
         * 恢复同业额度品种
         */
        public String HTEDPZ;
        /**
         * 拟恢复同业金额
         */
        public String HTJINE;
        /**
         * 恢复同业失败原因
         */
        public String HTSBYY;
    }
}
