package com.brilliance.isc.esb.model.ebmp;

import com.brilliance.isc.esb.model.ErrorData;

/**
 * GF31 F通道来报响应对象
 */
public class ResGF31 extends ErrorData {

    /**
     * 后台系统处理流水号 [0,16]
     */
    public String HTXTLS;

    /**
     * 业务状态 [0,10]
     */
    public String YEWUZT;

    /**
     * 业务处理信息 [0,280]
     */
    public String YWCLXX;

    /**
     * 备用字段1 [0,8]
     */
    public String BEYZD1;

    /**
     * 备用字段2 [0,16]
     */
    public String BEYZD2;

    /**
     * 备用字段3 [0,32]
     */
    public String BEYZD3;

    /**
     * 备用字段4 [0,64]
     */
    public String BEYZD4;
    /**
     * 备用字段4 [0,128]
     */
    public String BEYZD5;

    public ResGF31() {
    }

    public ResGF31(String HTXTLS, String YEWUZT, String YWCLXX, String BEYZD1, String BEYZD2, String BEYZD3, String BEYZD4, String BEYZD5) {
        this.HTXTLS = HTXTLS;
        this.YEWUZT = YEWUZT;
        this.YWCLXX = YWCLXX;
        this.BEYZD1 = BEYZD1;
        this.BEYZD2 = BEYZD2;
        this.BEYZD3 = BEYZD3;
        this.BEYZD4 = BEYZD4;
        this.BEYZD5 = BEYZD5;
    }
}
