package com.brilliance.isc.esb.model.ejs;


import com.brilliance.isc.esb.model.ErrorData;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.ArrayList;
import java.util.List;

/**
 * etcxjg e结算机构查询对外响应对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResEtcxjg extends ErrorData {

    /**
     * 交易结果
     */
    public String JIAYJG;


    /**
     * 总数
     */
    public String total;

    public List<ItemFdgaList> result = new ArrayList<>();

    public static class ItemFdgaList{

        /**
         * 查询机构号
         */
        public String biccod;

        /**
         * 机构中文名
         */
        public String chnnam;

        /**
         * 英文名称
         * */
        public String engnam;

        /**
         * 地址
         */
        public String addrss;

    }

    public ResEtcxjg() {
    }

    public ResEtcxjg(String JIAYJG, String total, List<ItemFdgaList> result) {
        this.JIAYJG = JIAYJG;
        this.total = total;
        this.result = result;
    }
}
