package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 对内请求和响应头公用对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Header {
    /**
     * 交易表原主键inr
     */
    public String ref;
    /**
     * 交易码
     */
    public String jiaoym;
    /**
     * 国结流水号【原8150、4316、7704、8752、4203、zm01、cl40、4338、8590、cl83、sf03交易需要】
     */
    public String itfinr;
    /**
     * 多交易使用【原sf03(G系统流水号)、8590(交易柜员号)、8760(流水号)交易需要】
     */
    public String swtnum;
    /**
     * bic码【8760：bic码】
     */
    public String bic;
    /**
     * 多交易使用【原8760(序号)、sf03(报文页码)交易需要】
     */
    public String opt_arg;
    /**
     * 响应码
     */
    public String code = "AAAAAAA";
    /**
     * 响应描述
     */
    public String description = "success";
    /**
     * 机构
     */
    public String branch;
    /**
     * 柜员
     */
    public String userid;
    /**
     * 必输 feignid
     */
    public String feignid;

    public Header() {
    }

    public Header(String code, String description) {
        this.code = code;
        this.description = description;
    }
}
