package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * CL42  国结-额度试算交易请求
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerReqCL42 {
    /**
     * 客户类型
     */
    public String khtyp;
    /**
     * 客户ECIF号
     */
    public String extkey;
    /**
     * 同业SWIFT号
     */
    public String swiftno;
    /**
     * 额度类型
     */
    public String limtyp;
    /**
     * 额度编号
     */
    public String limnum;
    /**
     * 额度状态
     */
    public String limsta;
    /**
     * 额度品种
     */
    public String limvar;
    /**
     * 入账机构
     */
    public String rzbch;
    /**
     * 返回页号
     */
    public String fhyhao;
    /**
     * 每页返回多少条记录
     */
    public String mytshu;
    /**
     * 交易柜员
     */
    public String bchusr;
    /**
     * 机构代码
     */
    public String accbch;

    public InnerReqCL42() {
    }

    public InnerReqCL42(String khtyp, String extkey, String swiftno, String limtyp, String limnum, String limsta, String limvar, String rzbch, String fhyhao, String mytshu, String bchusr, String accbch) {
        this.khtyp = khtyp;
        this.extkey = extkey;
        this.swiftno = swiftno;
        this.limtyp = limtyp;
        this.limnum = limnum;
        this.limsta = limsta;
        this.limvar = limvar;
        this.rzbch = rzbch;
        this.fhyhao = fhyhao;
        this.mytshu = mytshu;
        this.bchusr = bchusr;
        this.accbch = accbch;
    }
}
