package com.brilliance.isc.esb.model.inner;

import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

/**
 * 国内证异步交易中国结发起应答的交易
 */
@NoArgsConstructor
@AllArgsConstructor
public class InnerReqLcw1 {
    /**
     * 发送交易名称
     */
    public String msgtyp;
    /**
     * 发送文件名
     */
    public String ywxml;
    /**
     * 发送流水
     */
    public String trninr;
    /**
     * 核心流水号
     */
    public String hxlsh;
    /**
     * 支付时间
     */
    public String paydate;
    /**
     * 是否直接发通知的标志 0是，1不是
     */
    public String issend;
}
