package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes6153 {

    /**
     * 业务种类
     */
    public String bustyp;

    /**
     * 保理融资种类
     */
    public String blrzzl;

    /**
     * 借据号
     */
    public String jiejuh;

    /**
     * 客户号
     */
    public String kehuha;

    /**
     * 客户中文名
     */
    public String kehucn;

    /**
     * 货币代号
     */
    public String huobdh;

    /**
     * 准贷金额
     */
    public String zdjine;

    /**
     * 开户日期
     */
    public String kihurq;

    /**
     * 到期日
     */
    public String daoqir;

    /**
     * 宽限期
     */
    public String kuxiqi;

    /**
     * 计息周期
     */
    public String jxzouq;

    /**
     * 固定周期
     */
    public String gudizq;

    /**
     * 计息日期
     */
    public String jixirq;

    /**
     * 浮动方式
     */
    public String fudofs;

    /**
     * 执行利率
     */
    public String zixill;

    /**
     * 浮动比率点
     */
    public String fudbld;

    /**
     * 利率调整方式
     */
    public String lltzfs;

    /**
     * 利率调整周期
     */
    public String lltzzq;

    /**
     * 利率调整月日数
     */
    public String lltzyr;

    /**
     * 逾期计息方式
     */
    public String yqjxfs;

    /**
     * 罚息比率
     */
    public String faxibl;

    /**
     * 收息类型
     */
    public String soxilx;

    /**
     * 计复息标志
     */
    public String jfxibz;

    /**
     * 融资帐号
     */
    public String rozizh;

    /**
     * 本金业务代号
     */
    public String bjywdh;

    /**
     * 柜员流水号
     */
    public String gylshh;

    /**
     * 预收息金额
     */
    public String ysxije;

    /**
     * 到期主动扣收贷款
     */
    public String wjdkfl;

    /**
     * 贷款入账帐号
     */
    public String dkrzzh;

    /**
     * 分摊规则
     */
    public String fentgz;

    /**
     * LPR期限品种
     */
    public String shijcq;

    /**
     * 指定下次结息扣款日
     */
    public String zhidrq;

    /**
     * 指定下次重定价生效日
     */
    public String tiozrq;

    /**
     * 间隔月数
     */
    public String zuicqx;

    /**
     * 报表路径
     */
    public String repath;

    public InnerRes6153() {
    }

    public InnerRes6153(String bustyp, String blrzzl, String jiejuh, String kehuha, String kehucn, String huobdh, String zdjine, String kihurq, String daoqir, String kuxiqi, String jxzouq, String gudizq, String jixirq, String fudofs, String zixill, String fudbld, String lltzfs, String lltzzq, String lltzyr, String yqjxfs, String faxibl, String soxilx, String jfxibz, String rozizh, String bjywdh, String gylshh, String ysxije, String wjdkfl, String dkrzzh, String fentgz, String shijcq, String zhidrq, String tiozrq, String zuicqx, String repath) {
        this.bustyp = bustyp;
        this.blrzzl = blrzzl;
        this.jiejuh = jiejuh;
        this.kehuha = kehuha;
        this.kehucn = kehucn;
        this.huobdh = huobdh;
        this.zdjine = zdjine;
        this.kihurq = kihurq;
        this.daoqir = daoqir;
        this.kuxiqi = kuxiqi;
        this.jxzouq = jxzouq;
        this.gudizq = gudizq;
        this.jixirq = jixirq;
        this.fudofs = fudofs;
        this.zixill = zixill;
        this.fudbld = fudbld;
        this.lltzfs = lltzfs;
        this.lltzzq = lltzzq;
        this.lltzyr = lltzyr;
        this.yqjxfs = yqjxfs;
        this.faxibl = faxibl;
        this.soxilx = soxilx;
        this.jfxibz = jfxibz;
        this.rozizh = rozizh;
        this.bjywdh = bjywdh;
        this.gylshh = gylshh;
        this.ysxije = ysxije;
        this.wjdkfl = wjdkfl;
        this.dkrzzh = dkrzzh;
        this.fentgz = fentgz;
        this.shijcq = shijcq;
        this.zhidrq = zhidrq;
        this.tiozrq = tiozrq;
        this.zuicqx = zuicqx;
        this.repath = repath;
    }
}
