package com.brilliance.isc.esb.model.inner;

import com.brilliance.isc.esb.model.inner.item.ItemGe34;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.ArrayList;
import java.util.List;

/**
 * etrade_ge34   e结算-自助购汇额度明细查询对内响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerResEtradeGe34 {

    /**
     * 错误码
     */
    public String errorcode;

    /**
     * 错误信息
     */
    public String errormessage;

    public List<ItemGe34> shslst = new ArrayList<>();


    public InnerResEtradeGe34() {
    }

    public InnerResEtradeGe34(String errorcode, String errormessage, List<ItemGe34> shslst) {
        this.errorcode = errorcode;
        this.errormessage = errormessage;
        this.shslst = shslst;
    }
}
