package com.brilliance.isc.esb.model.whj.content.export;

import com.brilliance.isc.esb.model.whj.content.UnCryptContent;
import lombok.Data;

/**
 * /v1/asset/direct-pay 直接放款登记
 *
 * */

@Data
public class DirectPayContent extends UnCryptContent {

    public String safeAssetId;

    public Long payAmount;

    public String payDate;

    public String recDate;

    public String note;

    public String acceptCurrency;

    public Long acceptAmount;

    public Integer dayLimit;

    public String reason;


}
