package com.brilliance.isc.esb.model.whj.res.sinosure;

import lombok.Data;

import java.util.List;

@Data
public class DetailInvoices {

    public String invoiceCode;             //发票编号
    public Long invoiceAmount;             //发票金额
    public String invoiceCurrency;             //发票币种
    public String shipmentId;             //出运编号
    public String effectiveDateOfLiability;             //责任生效日期
    public List<Manifests> manifests;
    public String importEntName;            //进口企业名称

    public DetailInvoices() {
    }

    public DetailInvoices(String invoiceCode, Long invoiceAmount, String invoiceCurrency, String shipmentId, String effectiveDateOfLiability, List<Manifests> manifests, String importEntName) {
        this.invoiceCode = invoiceCode;
        this.invoiceAmount = invoiceAmount;
        this.invoiceCurrency = invoiceCurrency;
        this.shipmentId = shipmentId;
        this.effectiveDateOfLiability = effectiveDateOfLiability;
        this.manifests = manifests;
        this.importEntName = importEntName;
    }
}
