package com.brilliance.isc.common.gedmod.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class Ge34Response {

    /**
     * 业务参考号
     */
    private String businessno;

    /**
     * 购汇币种
     */
    private String currency;

    /**
     * 已购未付金额
     */
    private BigDecimal havegwfed = BigDecimal.ZERO;

    /**
     * 申请状态
     */
    private String applystatus;

    /**
     * 客户外币账户
     */
    private String cuswbzh;

    /**
     * 对方账号
     */
    private String duifzh;

    /**
     * 付汇方式
     */
    private String paytype;

    /**
     * 错误信息
     */
    private String errorMsg;
}
