package com.brilliance.isc.common.liaget.vo;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.mda.runtime.mda.util.Decimals;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class LiagetVo extends AbstractCommonVo implements Serializable {

    @ApiModelProperty(value = "", name = "amt", required = true)
    private BigDecimal amt = Decimals.ZERO_SCALE2;

    private Cbb wrkcbb;

}
